Docker based build for ovs and rebase to Fuel 7.0 01/3801/7
authorRuijing Guo <ruijing.guo@intel.com>
Thu, 3 Dec 2015 01:47:50 +0000 (01:47 +0000)
committerJonas Bjurel <jonas.bjurel@ericsson.com>
Fri, 11 Dec 2015 10:18:22 +0000 (10:18 +0000)
Change-Id: I05ccabdb329dff31a52b3cd6c1b60148bee8efe9
Signed-off-by: Ling Yu <ling.y.yu@intel.com>
Signed-off-by: Ruijing Guo <ruijing.guo@intel.com>
build/f_isoroot/f_ovs-nsh-dpdk-pluginbuild/Makefile
build/f_isoroot/f_ovs-nsh-dpdk-pluginbuild/config.mk
build/f_isoroot/f_ovs-nsh-dpdk-pluginbuild/install_docker.sh [new file with mode: 0755]

index ea95b67..601ec1e 100644 (file)
@@ -36,8 +36,8 @@ release:.ovsbuild
 .ovsbuild:
        @rm -rf fuel-plugin-ovs
        sudo apt-get -y install build-essential ruby-dev rubygems-integration python-pip git rpm createrepo dpkg-dev
-       sudo gem install fpm
        sudo pip install fuel-plugin-builder
+       ./install_docker.sh
        git clone $(OVS_NSH_DPDK_REPO)
        cd fuel-plugin-ovs; \
        git checkout $(OVS_NSH_DPDK_BRANCH); \
index 3310b85..d937b4c 100644 (file)
@@ -7,6 +7,6 @@
 # http://www.apache.org/licenses/LICENSE-2.0
 ##############################################################################
 
-OVS_NSH_DPDK_BRANCH=373740ac0ad9de0c948edf7b4e35b86a8e6b2745
+OVS_NSH_DPDK_BRANCH=7590019023887d6f59c20248e6503cacfa491d8c
 OVS_NSH_DPDK_REPO=https://review.openstack.org/openstack/fuel-plugin-ovs
 OVS_NSH_DPDK_CHANGE=
diff --git a/build/f_isoroot/f_ovs-nsh-dpdk-pluginbuild/install_docker.sh b/build/f_isoroot/f_ovs-nsh-dpdk-pluginbuild/install_docker.sh
new file mode 100755 (executable)
index 0000000..02acce2
--- /dev/null
@@ -0,0 +1,27 @@
+#!/bin/bash
+# From prepare-build-env.sh of Fuel
+# Check if docker is installed
+if hash docker 2>/dev/null; then
+  echo "Docker binary found, checking if service is running..."
+  ps cax | grep docker > /dev/null
+  if [ $? -eq 0 ]; then
+    echo "Docker is running."
+  else
+    echo "Process is not running, starting it..."
+    sudo service docker start
+  fi
+else
+  # Install docker repository
+  # Check that HTTPS transport is available to APT
+  if [ ! -e /usr/lib/apt/methods/https ]; then
+    sudo apt-get update
+    sudo apt-get -y install -y apt-transport-https
+  fi
+  # Add the repository to APT sources
+  echo deb http://mirror.yandex.ru/mirrors/docker/ docker main | sudo tee /etc/apt/sources.list.d/docker.list
+  # Import the repository key
+  sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 36A1D7869245C8950F966E92D8576A8BA88D21E9
+  # Install docker
+  sudo apt-get update
+  sudo apt-get -y install lxc-docker-1.5.0
+fi